import 'package:flutter/material.dart';
import 'package:foapp/providers/app_provider.dart';
import 'package:foapp/util/fosend.dart';
import 'package:foapp/widgets/app_bar_simple.dart';
import 'package:foapp/widgets/html_block.dart';

class AgreementDetail extends StatefulWidget {
  @required final dynamic aggrement;
  AgreementDetail({
    Key? key,
    required this.aggrement,
  })
      :super(key: key);
  @override
  _AgreementDetailState createState() => _AgreementDetailState();
}

class _AgreementDetailState extends State<AgreementDetail> {

  @override
  Widget build(BuildContext context) {
    dynamic agreement=widget.aggrement;
    FoSend fo=FoSend();

    return Scaffold(
      appBar: AppBarSimple(
        title:getMessage('agreement_inf'),
      ),

      body: Container(
        child: HtmlBlock(
          url: fo.getUrlAction('agreements',['id='+agreement['id']]),
        ),
      ),
    );
  }
}
