import 'package:flutter/material.dart';
import 'package:foapp/providers/app_provider.dart';
import 'package:foapp/util/const.dart';
import 'package:foapp/util/local_auth.dart';
import 'package:foapp/widgets/app_bar_simple.dart';
import 'package:provider/provider.dart';
import 'package:foapp/screens/login.dart';
import 'package:foapp/widgets/makeorder.dart';

class Checkout extends StatefulWidget {
  @override
  _CheckoutState createState() => _CheckoutState();
}

class _CheckoutState extends State<Checkout> {

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {

    return (LocalAuthPhone.login()==false?
      LoginScreen(closeBtn: true)
      :
      Scaffold(
          appBar: AppBarSimple(
            noBack: true,
            title: getMessage('make_order'),
            act:IconButton(
              tooltip: getMessage('back'),
              icon: Icon(
                Icons.clear,
                color: Constants.colors['red'],
              ),
              onPressed: (){
                Provider.of<AppProvider>(context, listen: false).refrash();
                Navigator.pop(context);
              },
            ),
          ),

          body:MakeOrder(),
      )
    );
  }
}
