import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:foapp/util/popup.dart';
import 'package:foapp/screens/loadingstop.dart';
import 'package:store_redirect/store_redirect.dart';

class LoadingMess{
  static Map dataMess={'active':false};
  static bool wasLoading=false;
  static void setMess(Map dt){
    if(!wasLoading){
      dataMess=dt;
    }
  }
  static void checkMess(BuildContext context){
    if(dataMess['active']==false || wasLoading) return;
    wasLoading=true;
    if(dataMess['app']=='warning' || dataMess['app']=='stop'){
      dataMess['btnFunc']=(){
        StoreRedirect.redirect(
            androidAppId: dataMess['store']['android'],
            iOSAppId: dataMess['store']['ios']
        );
      };
    }
    if(dataMess['app']=='stop'){
      Navigator.of(context).pushAndRemoveUntil(
          MaterialPageRoute(
            builder: (BuildContext context){
              return LoadingStop(dataMess: dataMess);
            },
          ),
              (Route<dynamic> route) => false
      );
    }else {
      popupShow(context: context, dataPopup: dataMess);
    }
  }
}