//import 'package:font_awesome_flutter/font_awesome_flutter.dart';
//import 'package:flutter/cupertino.dart';

class MenuProduct {
  final int id;
  final String name;
  final String desc;
  final String pic;
  final String picm;
  final List sid;
  final List prices;
  final Map? energy;
  final List? icons;
  final String? hot;
  final String? btnType;

  MenuProduct({required this.id, required this.name, this.desc='',required this.pic,required this.picm,required this.sid,required this.prices,this.energy,this.icons,this.hot,this.btnType});

  factory MenuProduct.fromJson(Map<String, dynamic> json) {
    return MenuProduct(
      id: int.parse(json['id'].toString()),
      name: json['name'],
      desc: json['desc'],
      pic:json['pic'],
      picm:json['picm'],
      sid:json['sid'].map((e)=>int.parse(e.toString())).toList(),
      prices:json['prices'],
      energy:(json['energy'] is Map)?json['energy']:{},
      icons:json['icons']!=null?json['icons']:[],
      hot:json['hot']!=null?json['hot']:'',
      btnType:json['btnType']!=null?json['btnType']:'',
    );
  }
}
