import 'package:flutter/material.dart';
import 'package:foapp/providers/app_provider.dart';

confirmDialog({required BuildContext context,required String title,Function? funcYes, Function? funcCancel,String? yes, String? cancel}) {
  Widget cancelButton = TextButton(
    /*style: TextButton.styleFrom(
      backgroundColor: Theme.of(context).accentColor,
    ),*/
    child: Text(cancel??getMessage('cancel')),
    onPressed:  () {
      Navigator.pop(context);
      if(funcCancel!=null) funcCancel();
    },
  );
  Widget yesButton = TextButton(
    /*style: TextButton.styleFrom(
      backgroundColor: Theme.of(context).accentColor,
    ),*/
    child:Text(yes??getMessage('yes')),
    onPressed:  () {
      Navigator.pop(context);
      if(funcYes!=null) funcYes();
    },
  );

  AlertDialog alert = AlertDialog(
    title: Text(
      title,
      style: const TextStyle(
        fontSize: 20,
      ),
    ),
    //content: Text("Would you like to continue learning how to use Flutter alerts?"),
    actions: [
      yesButton,
      cancelButton,
    ],
  );
  showDialog(
    context: context,
    builder: (BuildContext context) {
      return alert;
    },
  );
}