import 'package:flutter/material.dart';
import 'app_bar_simple.dart';
import 'html_block.dart';


class WebViewPage extends StatelessWidget {
  const WebViewPage({
    Key? key,
    required this.title,
    required this.url,
  }) : super(key: key);
  final String title;
  final String url;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBarSimple(
        title: title,
      ),
      body: Container(
        //padding: EdgeInsets.only(bottom: 30.0,top:40.0),
        child: HtmlBlock(url: url),
      ),
    );
  }
}
