//import 'package:font_awesome_flutter/font_awesome_flutter.dart';
class MenuCategory {
  final int id;
  final String name;
  final String desc;
  final bool active;
  final bool noitems;
  final String code;
  int? dpl;
  int? sid;
  Map? params;
  //final FontAwesomeIcons ico;
  final String pic;

  MenuCategory({required this.id, required this.name, this.desc='', this.code='', this.dpl, this.sid, this.active=false,this.noitems=false,required this.pic,this.params});

  factory MenuCategory.fromJson(Map<String, dynamic> json) {
    return MenuCategory(
      id: int.parse(json['id'].toString()),
      name: json['name'],
      code: json['code'],
      desc: json['desc'],
      active: json['active'],
      noitems:json['noitems'],
      dpl: int.parse(json['dpl'].toString()),
      sid: int.parse(json['sid'].toString()),
      pic:json['pic'],
      params:json['params'],
    );
  }
}
