import 'package:flutter/material.dart';
import 'package:foapp/providers/app_provider.dart';
import 'package:foapp/widgets/empty_widget.dart';


Widget widgetByCondition({
  required bool cond,
  required Function func,
  Function? funcFls
}){
  return cond?func():(funcFls!=null?funcFls():EmptyWidget());
}


String getCountEndWord({required dynamic num,String o1='',String o2='',String o5='',String mesCode=''}){
  String n='0'+num.toString();
  String vs=n.substring(n.length-2);
  if(int.parse(vs)>19) vs=vs.substring(vs.length-1);
  int vsd=int.parse(vs);
  if(mesCode.isNotEmpty){
    return vsd>=5 || vsd==0?getMessage(mesCode+'_5'):(vsd==1?getMessage(mesCode+'_1'):getMessage(mesCode+'_2'));
  }else{
    return vsd>=5 || vsd==0?o5:(vsd==1?o1:o2);
  }
}


String addressSecondDesc(Map address){
  List<String> res=[];
  final List<String> arCodes=['Building','Porch','Floor','Flat','DoorCode','Remark'];
  arCodes.forEach((e){
    if(address.containsKey(e) && address[e].length>0 && address[e]!='0') res.add(getMessage('addr_'+e.toLowerCase()).toLowerCase()+': '+address[e]);
  });
  return res.join(', ');
}
