import 'package:flutter/material.dart';

class PlusMinus extends StatelessWidget{
  PlusMinus({
    Key? key,
    required this.cnt,
    required this.funcMinus,
    required this.funcPlus,
    this.size='n'
  }) : super(key: key);
  final int cnt;
  final Function() funcMinus;
  final Function() funcPlus;
  String size;

  @override
  Widget build(BuildContext context) {
    double kf=1;
    if(size=='s') kf=0.85;
    return Container(
      width: 110*kf,
      child: Stack(
        children: [
          Positioned(
            left:0,
            top:0,
            child: InkWell(
              onTap: (){
                funcMinus();
              },
              child: Container(
                width: 60*kf,
                alignment: Alignment.centerLeft,
                padding: EdgeInsets.only(top:7*kf, bottom: 7*kf,left:20*kf,right:10*kf),
                child: Text(
                  '–',
                  style: TextStyle(
                      fontSize: 24*kf,
                      height: 1
                  ),
                ),
              ),
            ),
          ),
          Positioned(
            right:0,
            top:0,
            child: InkWell(
              onTap: (){
                funcPlus();
              },
              child: Container(
                width: 50*kf,
                alignment: Alignment.centerRight,
                padding: EdgeInsets.only(top:7*kf, bottom: 7*kf,left:10*kf,right:10*kf),
                child: Text(
                  '+',
                  style: TextStyle(
                      fontSize: 24*kf,
                      height: 1
                  ),
                ),
              ),
            ),
          ),
          Container(
            padding: EdgeInsets.only(top:7*kf, bottom: 7*kf,left:20*kf,right:10*kf),
            alignment: Alignment.center,
            width: 110*kf,
            child: Text(
              cnt.toString(),
              textAlign: TextAlign.center,
              style: TextStyle(
                fontSize: 20*kf,
                fontWeight: FontWeight.w500,
              ),
            ),
          ),
        ],
      ),
    );
  }
}
