import 'package:flutter/material.dart';

void showMessage({required BuildContext context, required String message,String type='success'}){
  ScaffoldMessenger.of(context).showSnackBar(SnackBar(
    backgroundColor: (type=='error'?Colors.orange:Colors.blue),
    content: Container(
      padding:const EdgeInsets.only(top:5,bottom: 5),
      child:Text(
        message,
        style: const TextStyle(
          color:Colors.white,
        ),
      ),
    ),
  ));
}